Page MenuHomePhabricator

Multithread safety.
Closed, ResolvedPublic

Description

Profiler isn`t safe with multithreads.
As app it give access to data only when all log was read and all arrays sizes at that time wouldn`t be changed.
But if we want give to user ability work with log while log haven`t loaded full, may happens situation when arrays size changed from additional thread when data from this array processed in main loop.
It also related to using efl_profiler lib in clouseau. But there new blocks added only 5 times for a second, so similar troubles really happen rarely.

Deepwarrior moved this task from 1.1 to Defects on the Profiling Viewer board.Oct 17 2017, 11:11 AM
Deepwarrior edited projects, added Profiling Viewer; removed Profiling Viewer (1.1).
Deepwarrior moved this task from Defects to 1.1 on the Profiling Viewer board.Oct 23 2017, 11:50 AM
Deepwarrior edited projects, added Profiling Viewer (1.1); removed Profiling Viewer.
Deepwarrior moved this task from Backlog to Review on the Profiling Viewer (1.1) board.
NikaWhite assigned this task to Deepwarrior.
NikaWhite moved this task from Doing to Done on the Profiling Viewer (1.1) board.
NikaWhite closed this task as Resolved.Dec 26 2017, 8:51 AM